Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename expect
%global enable_tests 0
# tests disabled due to missing 'npm(karma)' test suite

Name:		nodejs-expect
Version:	1.20.2
Release:	alt1_7
Summary:	Write better assertions

License:	MIT
URL:		https://github.com/mjackson/expect.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif
BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(is-equal)
BuildRequires:	npm(object-inspect)
BuildRequires:	npm(tmatch)
%if 0%{?enable_tests}
BuildRequires:	npm(karma)
%endif
Source44: import.info

%description
Write better assertions


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ umd/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/karma start
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc --no-dereference LICENSE.md
%doc CHANGES.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.20.2-alt1_7
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.20.2-alt0.1.njs.bootstrap
- bootstrap

